<?php if(file_exists("../../homepage/blocks/trafficAlert/settings.txt")){	
		if(file_exists("../../install/googleMapsIPRestrictedKey.txt")){	
			$GMkey = file_get_contents("../../install/googleMapsIPRestrictedKey.txt");
		
			$url = 'https://maps.googleapis.com/maps/api/directions/json';
			$traffic = json_decode(file_get_contents("../../homepage/blocks/trafficAlert/settings.txt"),true);
			

			for ($i = 1; $i <= $traffic["numTrafficAlerts"]; $i++) {						
				
				$originLat = $traffic["routeOriginLat".$i];
				$originLng = $traffic["routeOriginLng".$i];
				$destinationLat = $traffic["routeDestinationLat".$i];
				$destinationLng = $traffic["routeDestinationLng".$i];				
				
				$routeName = $traffic["routeName".$i];
				$routeName = preg_replace('/\s+/', '', $routeName);
				$routeName = preg_replace("/[^A-Za-z0-9 ]/", '', $routeName);
				$routeName = 'Traffic'.$routeName;
				$foundInCache = false;
				if(file_exists("../../homepage/blocks/trafficAlert/routes.txt")){	
					$cacheRoutes = json_decode(file_get_contents("../../homepage/blocks/trafficAlert/routes.txt"),true);
					$keyName = $traffic["routeName".$i].'Name';
					if (array_key_exists($keyName,$cacheRoutes)) {
						$datetimeTraffic = new DateTime();
						$currentTime = $datetimeTraffic->getTimestamp();						  
						$updatedTime = intval($cacheRoutes[$traffic["routeName".$i].'Update']);					
						$maxDelay=300;
						$keyDelay = 'routeName'.$i.'CacheDelay';
						if (array_key_exists($keyDelay,$traffic)) {
							$maxDelay=intval($traffic[$keyDelay])*60;				
						}
						
						$datetimeH = new DateTime();
						$datetimeH->setTimezone($stationTZ);
						$currentHour=intval($datetimeH->format('H'));			

						
						$currentDelay=$currentTime-$updatedTime;
					
						if ($currentDelay<$maxDelay) {					
							$data[$routeName]=intval($cacheRoutes[$traffic["routeName".$i].'Value']);
							$data[$routeName.'Text']=$cacheRoutes[$traffic["routeName".$i].'Text'];
							$foundInCache=true;							
						}
					}
				}				
				
				if($foundInCache==false) {				
				 
					$gmURL=$url.'?origin='.$originLat.','.$originLng.'&destination='.$destinationLat.','.$destinationLng.'&key='.$GMkey.'&mode=DRIVING&departure_time='.time();	
							
					$json = file_get_contents($gmURL);
					$answer = json_decode($json,true);
								
					$data[$routeName]=$answer["routes"][0]["legs"][0]["duration_in_traffic"]["value"];
					$data[$routeName.'Text']=$answer["routes"][0]["legs"][0]["duration_in_traffic"]["text"];					
					$cacheUrl = $pageURL.$path.'homepage/blocks/trafficAlert/cacheRoute.php';
					$myvars = 'name=' . $traffic["routeName".$i] . '&value=' . $answer["routes"][0]["legs"][0]["duration_in_traffic"]["value"].'&text=' . $answer["routes"][0]["legs"][0]["duration_in_traffic"]["text"];								
					$ch = curl_init( $cacheUrl );
					curl_setopt( $ch, CURLOPT_POST, 1);
					curl_setopt( $ch, CURLOPT_POSTFIELDS, $myvars);
					curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, 1);
					curl_setopt( $ch, CURLOPT_HEADER, 0);
					curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1);
					$response = curl_exec( $ch );

								
					
				}
			} 
		}			
    }
	
	?>